Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.extensions
Class XPathFunctionImpl

    java.lang.Object
      |
      +--org.apache.xalan.extensions.XPathFunctionImpl

public class XPathFunctionImpl
extends java.lang.Object
implements XPathFunction

A sample implementation of XPathFunction, with support for EXSLT extension functions and Java extension functions.

Constructor Summary
`XPathFunctionImpl(ExtensionHandler handler, java.lang.String funcName)` Construct an instance of XPathFunctionImpl from the ExtensionHandler and function name.

Method Summary
`java.lang.Object` | `evaluate(java.util.List args)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XPathFunctionImpl

    public XPathFunctionImpl(ExtensionHandler handler,
                             java.lang.String funcName)

  Construct an instance of XPathFunctionImpl from the ExtensionHandler and function name.

Method Detail

### evaluate

    public java.lang.Object evaluate(java.util.List args)
                              throws XPathFunctionException

  Specified by:
    evaluate in interface XPathFunction
  See Also:
    `XPathFunction.evaluate(java.util.List)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Apache XML Project. All Rights Reserved.